### Function

# Ide ExtensionSetAdapterForeachFunc

#### Declaration

    void
    (* IdeExtensionSetAdapterForeachFunc) (
      IdeExtensionSetAdapter* set,
      PeasPluginInfo* plugin_info,
      PeasExtension* extension,
      gpointer user_data
    )

#### Description

No description available.

#### Parameters

`set` | `IdeExtensionSetAdapter`
| No description available.
| The data is owned by the caller of the function.
`plugin_info` | `PeasPluginInfo`
| No description available.
| The data is owned by the caller of the function.
`extension` | `PeasExtension`
| No description available.
| The data is owned by the caller of the function.
`user_data` | `gpointer`
| No description available.
| The argument can be `NULL`.
| The data is owned by the caller of the function.